---
schema_version: "1"
id: 35f90b2a323714b31de8b882d6405922fa20c71ab8e788b6c4383884e88df1ea
title: APIs for Enterprise Sales Management
collection: admin
version: current
locale: en-us
portal_url: https://docs.salesforce.com/admin/current/en-us/ind/264-0-0/comms_t_apis_for_enterprise_sales_management_64311.md
canonical_url: https://help.salesforce.com/s/articleView?id=ind.comms_t_apis_for_enterprise_sales_management_64311.htm&release=264.0.0&type=5
source_site: help.salesforce.com
content_type: documentation
content_hash: 0ec7c0c9a124a4750665f9256d8ee4c017fd1e2b3e323186285f3c190a7ea582
description: You can use the Enterprise Sales Management APIs to create and manage enterprise quotes by calling corresponding Integration Procedures.
products:
  - Communications
release: "264"
---
# APIs for Enterprise Sales Management

You can use the Enterprise Sales Management APIs to create and manage enterprise quotes by calling corresponding Integration Procedures.

![Tip](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-ind-communications-264-0-0-production-enus/444efb86-ea1e-477e-afbc-56eaac192eaf/images/icon_tip.png)

Tip

Salesforce recommends using the Enterprise Sales Management [SDK for Enterprise Sales Management](https://help.salesforce.com/s/articleView?id=ind.comms_t_sdk_for_enterprise_sales_management_65685.htm&release=264.0.0&type=5 "The Enterprise Sales Management Software Development Toolkit (SDK) is a JavaScript library that abstracts and simplifies the use of Enterprise Sales Management, Cart-Based, and Digital Commerce APIs.") and [Lightning Web Components for Enterprise Sales Management](https://help.salesforce.com/s/articleView?id=ind.comms_t_lightning_web_components_for_enterprise_salesmanagement_65423.htm&release=264.0.0&type=5 "Enterprise Sales Management Lightning web components (LWCs) supplement Vlocity Lightning Web Components by incorporating calls to the Enterprise Sales Management SDK, which makes calls to Enterprise Sales Management APIs, Cart-Based APIs, Digital Commerce cacheable APIs, and Integration Procedures.") to call these APIs instead of calling them directly. The SDK and LWCs improve usability and help you develop compelling UIs by hiding complex API semantics. You can use this Integration Procedure API information to better understand Enterprise Sales Management business processes.

## Posting Data to an Integration Procedure

To post JSON data to a Enterprise Sales Management Integration Procedure, issue a POST call using a URL formatted as follows:

```
/services/apexrest/vlocity_cmt/v1/integrationprocedure/{type}_{subtype}/
```

Specify the type and subtype of the Integration Procedure, which can be found in its Integration Procedure details page.

To pass input data in a POST call, you can specify a JSON request body.

In the following example POST, the getAll\_members Integration Procedure retrieves all quote members for a given quote ID.

```
POST
/services/apexrest/vlocity_cmt/v1/integrationprocedure/getAll_members/
```

Example POST JSON Data:

```
{
 	"SalesQuoteId": "0Q03h000000TuXGCA0"
 }
```

Example Result:

```
{
	"Members": [{
			"Id": "a5X5w000002KqC9EAK",
			"QuoteId__c": "0Q05w000001sayRCAQ",
			"Title__c": "VP",
			"Address1__c": "Suite 415",
			"Name": "Mary Sommer",
			"MemberType__c": "Location",
			"StreetAddress__c": "123 Main St",
			"State__c": "CA",
			"PostalCode__c": "94102",
			"MSISDN__c": "1234564567",
			"LastName__c": "Sommer",
			"FirstName__c": "Mary",
			"Email__c": "msommer@test.com",
			"Country__c": "USA",
			"City__c": "San Francisco"
		},
		{
			"UpsertSuccess": true,
			"Id": "a5X5w000002KqCAEA0",
			"QuoteId__c": "0Q05w000001sayRCAQ",
			"Title__c": "EVP",
			"Address1__c": "Suite 415",
			"Name": "Tom Hanks",
			"MemberType__c": "Subscriber",
			"StreetAddress__c": "1480 SantaClara St",
			"State__c": "CA",
			"PostalCode__c": "95050",
			"MSISDN__c": "123456489",
			"LastName__c": "Hanks",
			"FirstName__c": "Tom",
			"Email__c": "thanks@test.com",
			"Country__c": "USA",
			"City__c": "Santa Clara"
		}
	]
}
```

## Enterprise Sales Management API Descriptions

Use the API name to POST data to the corresponding Integration Procedure. For the ESM\_checkServiceQualification and ESM\_checkAddressValidation APIs, see [Add API Endpoint to Remote Site Settings](https://help.salesforce.com/s/articleView?id=ind.comms_t_add_api_endpoint_to_remote_site_settings_64690.htm&release=264.0.0&type=5 "For ESM_checkServiceQualification API and ESM_checkAddressValidation API, you must add the base URL of your TMF API endpoint to remote site settings.").

![Note](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-ind-communications-264-0-0-production-enus/444efb86-ea1e-477e-afbc-56eaac192eaf/images/icon_note.png)

Note Some components have been renamed to align with the naming conventions of OmniStudio Standard Runtime, to provide support for it. For more information, download [this PDF.](https://resources.docs.salesforce.com/rel1/doc/en-us/static/misc/ESM_Renamed_Components_to_Support_OmniStudio_Standard_Runtime.pdf)

<table class="slds-table slds-table_bordered slds-max-medium-table_stacked slds-m-bottom_small ">
        <colgroup>
          <col>
          <col>
          <col>
        </colgroup>
        <thead class="slds-text-title_caps ">
          <tr class="">
            <th scope="col" class="slds-cell-wrap" style="vertical-align:top;" id="d51209e116">
              <p style="margin-bottom:0;">API</p>
            </th>
            <th scope="col" class="slds-cell-wrap" style="vertical-align:top;" id="d51209e122">
              <p style="margin-bottom:0;">Description</p>
            </th>
            <th scope="col" class="slds-cell-wrap" style="vertical-align:top;" id="d51209e128">
              <p style="margin-bottom:0;">Corresponding Integration Procedure</p>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_addmem_toqg_api_64718.htm&amp;release=264.0.0&amp;type=5" title="Add members to a quote group.">AddMem_ToQG
                  API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Add members to a quote group.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">AddMembersToQGroup</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_addqmqgtowc_copytoeq_api_64734.htm&amp;release=264.0.0&amp;type=5" title="Add members and a quote group to the working cart and copy it to the enterprise quote.">AddQMQGToWC_CopyToEQ API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Add members and a quote group to the working cart and copy it to the enterprise
                quote.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">AddQMQGToWCQLIsCopyToEQ</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_addqmqgtowc_copytoeqbatch_api_64750.htm&amp;release=264.0.0&amp;type=5" title="Trigger a batch process to migrate and clone products from the working cart to the enterprise quote.">AddQMQGToWC_CopyToEQBatch API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Trigger a batch process to migrate and clone products from the working cart to
                the enterprise quote.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">AddQMQGToWCQLIsCopyToEQBatch</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_addproducttocart_api_64765.htm&amp;release=264.0.0&amp;type=5" title="Add a product to a working cart.">b2bExpress_AddProductToCart API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;" id="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230749984018"><a name="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230749984018"><!-- --></a>Add a
                product to a working cart.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">b2bExpress_AddProductToCart</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_assetconfigdata_api_64780.htm&amp;release=264.0.0&amp;type=5" title="Store the information that is displayed on the assets page.">b2bExpress_assetConfigData API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Store the information that is displayed on the assets page.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">getAssetConfigData</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_createsuborder_api_64796.htm&amp;release=264.0.0&amp;type=5" title="Create sub-orders for a given quote member. This API returns the record ID of the sub-order created.">b2bExpress_CreateSubOrder API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Create sub-orders for a given quote member. This API returns the record ID of the
                sub-order created.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CreateSubOrder</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_deletemembers_api_64811.htm&amp;release=264.0.0&amp;type=5" title="Delete members for a given quote member.">b2bExpress_DeleteMembers API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Delete members for a given quote member.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">RemoveMembers</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_getassetsfromaccount_api_64826.htm&amp;release=264.0.0&amp;type=5" title="Get child assets for a given account ID, root asset ID, and page size.">b2bExpress_getAssetsFromAccount API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Get child assets for a given account ID, root asset ID, and page size.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">getAssetsFromAccount</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_salesorder_api_64842.htm&amp;release=264.0.0&amp;type=5" title="Create orders for the given quote ID and account ID. This API returns the principal order ID.">b2bExpress_SalesOrder API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Create orders for the given quote ID and account ID. This API returns the
                principal order ID.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">SalesOrder</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_submitsuborder_api_64857.htm&amp;release=264.0.0&amp;type=5" title="Submit an order.">b2bExpress_SubmitSubOrder API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Submit an order.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">SubmitSubOrder</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_submitsuborders_api_64873.htm&amp;release=264.0.0&amp;type=5" title="Submit all sub-orders.">b2bExpress_SubmitSubOrders API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Submit all sub-orders.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">SubmitSubOrders</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_suborders_api_64889.htm&amp;release=264.0.0&amp;type=5" title="Create sub-orders for a given quote member.">b2bExpress_SubOrders API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;" id="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750043464"><a name="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750043464"><!-- --></a>Create
                sub-orders for a given quote member.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">SubOrders</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_templateconfigdata_api_64904.htm&amp;release=264.0.0&amp;type=5" title="Fetch Vlocity Document Template details for a given configuration.">b2bExpress_TemplateConfigData API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;" id="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750183800"><a name="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750183800"><!-- --></a>Fetch
                Vlocity Document Template details for a given configuration.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">B2BExpress_TemplateConfigData</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_updateqtyprice_api_64919.htm&amp;release=264.0.0&amp;type=5" title="Update quantity and reprice order items that belong to a specific group.">b2bExpress_UpdateQtyPrice API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;" id="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750242726"><a name="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750242726"><!-- --></a>Update
                quantity and reprice order items that belong to a specific group.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">UpdateQtyPrice</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_updatequantityandreprice_api_64934.htm&amp;release=264.0.0&amp;type=5" title="Update quantity and perform repricing for a given quote ID and quantity.">b2bExpress_updateQuantityAndReprice API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Update quantity and perform repricing for a given quote ID and quantity.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">UpdateQuantityAndRepriceCart</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_cloneeqlistowc_pricecopybacktoeq_api_64949.htm&amp;release=264.0.0&amp;type=5" title="Clone enterprise quote line items (QLIs) to working cart, apply pricing, and copy back to the enterprise quote.">CloneEQLIsToWC_PriceCopyBackToEQ API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Clone enterprise quote line items (QLIs) to working cart, apply pricing, and copy
                back to the enterprise quote.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CloneEQLIsToWCPriceCopyEQLIs</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_clonemodifyto_salesqlis_api_64965.htm&amp;release=264.0.0&amp;type=5" title="Clone modified working cart quote line items (QLIs) to sales QLIs and delete the working cart.">CloneModifyTo_SalesQLIs API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Clone modified working cart quote line items (QLIs) to sales QLIs and delete the
                working cart.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CloneModifyWorkingCartToSalesQLIs</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_clonemodifyto_salesqliswqpr_api_64981.htm&amp;release=264.0.0&amp;type=5" title="Clone the modified working cart quote line items (QLIs) to sales QLIs, delete the working cart, and update the Quote Product Rollup object.">CloneModifyTo_SalesQLIsWQPR API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Clone the modified working cart quote line items (QLIs) to sales QLIs, delete the
                working cart, and update the Quote Product Rollup object.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CloneModifyWCToSalesQLIs</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_clonesalesqlis_togcartqlis_api_64997.htm&amp;release=264.0.0&amp;type=5" title="Clone sales quote line items (QLIs) to working cart QLIs.">CloneSalesQLIs_ToGCartQLIs API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Clone sales quote line items (QLIs) to working cart QLIs.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CloneSalesQuoteToWorkingCart</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_clonesalesqtowc_discounts_api_65013.htm&amp;release=264.0.0&amp;type=5" title="Clone sales quote line items (QLIs) to working cart QLIs with discounts and adjustments.">CloneSalesQToWC_Discounts API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Clone sales quote line items (QLIs) to working cart QLIs with discounts and
                adjustments.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CloneSalesQToWCWDiscounts</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_cloneto_salesqlis_api_65029.htm&amp;release=264.0.0&amp;type=5" title="Clone the working cart quote line items (QLIs) to sales QLIs.">CloneTo_SalesQLIs API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Clone the working cart quote line items (QLIs) to sales QLIs.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CloneWorkingCartToSalesQLIs</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_create_newgroupassignmembers_api_65045.htm&amp;release=264.0.0&amp;type=5" title="Create a group and assign members to it in a single call.">create_NewGroupAssignMembers API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Create a group and assign members to it in a single call.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CreateGroup&amp;AssignMembers</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_create_workingcart_api_65060.htm&amp;release=264.0.0&amp;type=5" title="Create a working cart quote based on a sales quote.">create_WorkingCart API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Create a working cart quote based on a sales quote.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CreateWorkingCartQuote</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_checkaddressvalidation_api_65076.htm&amp;release=264.0.0&amp;type=5" title="Validate the addresses selected with the valid addresses provided by TMF API.">ESM_checkAddressValidation API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Validate the addresses selected with the valid addresses provided by TMF API.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_checkAddressValidation</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_checkservicequalification_api_65091.htm&amp;release=264.0.0&amp;type=5" title="Check service qualification for specific locations using TMF API.">ESM_checkServiceQualification API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Check service qualification for specific locations using TMF API.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_checkServiceQualification</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_createsuborderfornonmembers_api_65106.htm&amp;release=264.0.0&amp;type=5" title="Create a sub-order for line items without any members or groups using ESM CreateOrder API.">ESM_CreateSubOrderForNonMembers API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Create a sub-order for line items without any members or groups using ESM
                CreateOrder API.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_CreateSubOrderForNonMembers</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;"><a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_createsubordersinbatch_api.htm&amp;release=264.0.0&amp;type=5" title="Efficiently create multiple sub-orders in a single call. To prevent hitting governor limits, monitor the number of inputs included in the batch.">ESM_CreateSubOrdersInBatch</a></p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Create multiple sub-orders in a single call. Too many inputs may exceed
                governor limits.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">CreateSubOrdersInBatch</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_customviewsetup_api_65121.htm&amp;release=264.0.0&amp;type=5" title="Store information about the custom views created for the Summary page.">ESM_CustomViewSetup API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Store information about the custom views created for the Summary page.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_CustomViewSetup</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_delinkrelateditemfromcart_api_65151.htm&amp;release=264.0.0&amp;type=5" title="Delink a related quote item (product) from another item of the same quote (from QuoteLineItemRelationship Sobject).">ESM_DelinkRelatedItemFromCart API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Delink a related quote item (product) from another item of the same quote (from
                QuoteLineItemRelationship Sobject).</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_DelinkRelatedItemFromCart</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_evaluateformula_api_65166.htm&amp;release=264.0.0&amp;type=5" title="Evaluate an expression.">ESM_EvaluateFormula API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Evaluate an expression.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_EvaluateFormula</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_getcartitemsbyview_api_65181.htm&amp;release=264.0.0&amp;type=5" title="Retrieve quote line items for a given Quote ID as per the option selected in the Displaying list.">ESM_getCartItemsByView API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Retrieve quote line items for a given quote ID and display option.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_getCartItemsByView</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_getrelatedproducts_api_65197.htm&amp;release=264.0.0&amp;type=5" title="Fetches the related Products QLI from a quote for a particular product relationship.">ESM_getRelatedProducts API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Fetches the related Products QLI from a quote for a particular product
                relationship.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_getRelatedProducts</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_linkproducts_api_65212.htm&amp;release=264.0.0&amp;type=5" title="Saves QLI product relationship.">ESM_LinkProducts
                  API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Saves QLI product relationship.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_LinkProducts</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;"><a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_searchorcreateserviceaccount_api.htm&amp;release=264.0.0&amp;type=5" title="Search for an existing service account or create a new service account if it doesn’t exist.">ESM_SearchOrCreateServiceAccount</a></p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Search for an existing service account or create a new service account if it
                doesn’t exist.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">SearchOrCreateServiceAccount</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_updatequotelineitems_api_65227.htm&amp;release=264.0.0&amp;type=5" title="Update a quote line item and its related child items with the given set of fields and values.">ESM_UpdateQuoteLineItems API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Update a quote line item and its related child items with the given set of fields
                and values.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_UpdateQuoteLineItems</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_validaterecords_api_65242.htm&amp;release=264.0.0&amp;type=5" title="Validate quote line items.">ESM_validateRecords API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Validate quote line items.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">ESM_validateRecords</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_getall_members_api_65258.htm&amp;release=264.0.0&amp;type=5" title="Get all quote members for a given quote ID.">getAll_members
                  API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Get all quote members for a given quote ID.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">GetAllMembers</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_getall_quotegroup_api_65273.htm&amp;release=264.0.0&amp;type=5" title="Get all custom quote groups for a sales quote.">getAll_QuoteGroup API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Get all custom quote groups for a sales quote.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">GetAllQGroupForSQ</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;"><a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_getmacdpricedelta_api.htm&amp;release=264.0.0&amp;type=5" title="Get the difference in the recurring price before and after the MACD operation.">getMACDPriceDelta</a></p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Get the difference of the recurring price before and after MACD operation.
              </p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">Not Applicable</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;"><a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_getdiscountedqlicount_api.htm&amp;release=264.0.0&amp;type=5" title="Get the count of quote line items for a specific QuoteAppliedPromotionItem.">getDiscountedQLICount</a></p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Get the QLI count for the given QuoteAppliedPromotionItem.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">Not Applicable</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_member_upload_api_65289.htm&amp;release=264.0.0&amp;type=5" title="Upload a CSV file with new subscribers or locations.">member_upload
                  API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Upload a CSV file with new subscribers or locations.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">UploadMembers</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_qmgetfields_wfieldlabel_api_65308.htm&amp;release=264.0.0&amp;type=5" title="Get the field set with fields and labels for the quote members.">QMgetFields_WFieldLabel API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;" id="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750317312"><a name="comms_t_apis_for_enterprise_sales_management_64311__uuid-c7464e9c-fcdd-2633-1d60-900830103396_para-idm1593230750317312"><!-- --></a>Get the
                field set with fields and labels for the quote members.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">QuoteMemberGetFields</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_remove_quotegroup_api_65324.htm&amp;release=264.0.0&amp;type=5" title="Remove the quote group from the enterprise quote.">Remove_QuoteGroup API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Remove the quote group from the enterprise quote.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">RemoveQuoteGroup</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_removeqm_fromquotegroup_api_65340.htm&amp;release=264.0.0&amp;type=5" title="Remove a quote member record from the quote group.">removeQM_FromQuoteGroup API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Remove a quote member record from the quote group.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">RemoveQMFromQuoteGroup</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_updateclonemodify_salesqliswqpr_api_65356.htm&amp;release=264.0.0&amp;type=5" title="Updates, clones, or modifies the quote line items for a given cart ID, group ID, quote member ID, or quote ID.">UpdateCloneModify_SalesQLIsWQPR API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Updates, clones, or modifies the quote line items for a given cart ID, group ID,
                quote member ID, or quote ID.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">UpdateMemberIdForWC</p>
            </td>

          </tr>
          <tr class="">
            <td data-label="API" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e116 ">
              <p style="margin-bottom:0;">
                <a href="https://help.salesforce.com/s/articleView?id=ind.comms_t_update_qgroupname_api_65372.htm&amp;release=264.0.0&amp;type=5" title="Update the name of the quote group.">update_QGroupName API</a>
              </p>
            </td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e122 ">
              <p style="margin-bottom:0;">Update the name of the quote group.</p>
            </td>

            <td data-label="Corresponding Integration Procedure" class="slds-cell-wrap" style="vertical-align:top;" headers="d51209e128 ">
              <p style="margin-bottom:0;">UpdateQuoteGroupName</p>
            </td>

          </tr>
        </tbody>
      </table>

- **[Add API Endpoint to Remote Site Settings](https://help.salesforce.com/s/articleView?id=ind.comms_t_add_api_endpoint_to_remote_site_settings_64690.htm&release=264.0.0&type=5)**  
    For ESM\_checkServiceQualification API and ESM\_checkAddressValidation API, you must add the base URL of your TMF API endpoint to remote site settings.
- **[AddMem\_ToQG API](https://help.salesforce.com/s/articleView?id=ind.comms_t_addmem_toqg_api_64718.htm&release=264.0.0&type=5)**  
    Add members to a quote group.
- **[AddQMQGToWC\_CopyToEQ API](https://help.salesforce.com/s/articleView?id=ind.comms_t_addqmqgtowc_copytoeq_api_64734.htm&release=264.0.0&type=5)**  
    Add members and a quote group to the working cart and copy it to the enterprise quote.
- **[AddQMQGToWC\_CopyToEQBatch API](https://help.salesforce.com/s/articleView?id=ind.comms_t_addqmqgtowc_copytoeqbatch_api_64750.htm&release=264.0.0&type=5)**  
    Trigger a batch process to migrate and clone products from the working cart to the enterprise quote.
- **[b2bExpress\_AddProductToCart API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_addproducttocart_api_64765.htm&release=264.0.0&type=5)**  
    Add a product to a working cart.
- **[b2bExpress\_assetConfigData API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_assetconfigdata_api_64780.htm&release=264.0.0&type=5)**  
    Store the information that is displayed on the assets page.
- **[b2bExpress\_CreateSubOrder API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_createsuborder_api_64796.htm&release=264.0.0&type=5)**  
    Create sub-orders for a given quote member. This API returns the record ID of the sub-order created.
- **[b2bExpress\_DeleteMembers API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_deletemembers_api_64811.htm&release=264.0.0&type=5)**  
    Delete members for a given quote member.
- **[b2bExpress\_getAssetsFromAccount API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_getassetsfromaccount_api_64826.htm&release=264.0.0&type=5)**  
    Get child assets for a given account ID, root asset ID, and page size.
- **[b2bExpress\_SalesOrder API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_salesorder_api_64842.htm&release=264.0.0&type=5)**  
    Create orders for the given quote ID and account ID. This API returns the principal order ID.
- **[b2bExpress\_SubmitSubOrder API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_submitsuborder_api_64857.htm&release=264.0.0&type=5)**  
    Submit an order.
- **[b2bExpress\_SubmitSubOrders API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_submitsuborders_api_64873.htm&release=264.0.0&type=5)**  
    Submit all sub-orders.
- **[b2bExpress\_SubOrders API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_suborders_api_64889.htm&release=264.0.0&type=5)**  
    Create sub-orders for a given quote member.
- **[b2bExpress\_TemplateConfigData API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_templateconfigdata_api_64904.htm&release=264.0.0&type=5)**  
    Fetch Vlocity Document Template details for a given configuration.
- **[b2bExpress\_UpdateQtyPrice API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_updateqtyprice_api_64919.htm&release=264.0.0&type=5)**  
    Update quantity and reprice order items that belong to a specific group.
- **[b2bExpress\_updateQuantityAndReprice API](https://help.salesforce.com/s/articleView?id=ind.comms_t_b2bexpress_updatequantityandreprice_api_64934.htm&release=264.0.0&type=5)**  
    Update quantity and perform repricing for a given quote ID and quantity.
- **[CloneEQLIsToWC\_PriceCopyBackToEQ API](https://help.salesforce.com/s/articleView?id=ind.comms_t_cloneeqlistowc_pricecopybacktoeq_api_64949.htm&release=264.0.0&type=5)**  
    Clone enterprise quote line items (QLIs) to working cart, apply pricing, and copy back to the enterprise quote.
- **[CloneModifyTo\_SalesQLIs API](https://help.salesforce.com/s/articleView?id=ind.comms_t_clonemodifyto_salesqlis_api_64965.htm&release=264.0.0&type=5)**  
    Clone modified working cart quote line items (QLIs) to sales QLIs and delete the working cart.
- **[CloneModifyTo\_SalesQLIsWQPR API](https://help.salesforce.com/s/articleView?id=ind.comms_t_clonemodifyto_salesqliswqpr_api_64981.htm&release=264.0.0&type=5)**  
    Clone the modified working cart quote line items (QLIs) to sales QLIs, delete the working cart, and update the Quote Product Rollup object.
- **[CloneSalesQLIs\_ToGCartQLIs API](https://help.salesforce.com/s/articleView?id=ind.comms_t_clonesalesqlis_togcartqlis_api_64997.htm&release=264.0.0&type=5)**  
    Clone sales quote line items (QLIs) to working cart QLIs.
- **[CloneSalesQToWC\_Discounts API](https://help.salesforce.com/s/articleView?id=ind.comms_t_clonesalesqtowc_discounts_api_65013.htm&release=264.0.0&type=5)**  
    Clone sales quote line items (QLIs) to working cart QLIs with discounts and adjustments.
- **[CloneTo\_SalesQLIs API](https://help.salesforce.com/s/articleView?id=ind.comms_t_cloneto_salesqlis_api_65029.htm&release=264.0.0&type=5)**  
    Clone the working cart quote line items (QLIs) to sales QLIs.
- **[create\_NewGroupAssignMembers API](https://help.salesforce.com/s/articleView?id=ind.comms_t_create_newgroupassignmembers_api_65045.htm&release=264.0.0&type=5)**  
    Create a group and assign members to it in a single call.
- **[create\_WorkingCart API](https://help.salesforce.com/s/articleView?id=ind.comms_t_create_workingcart_api_65060.htm&release=264.0.0&type=5)**  
    Create a working cart quote based on a sales quote.
- **[ESM\_checkAddressValidation API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_checkaddressvalidation_api_65076.htm&release=264.0.0&type=5)**  
    Validate the addresses selected with the valid addresses provided by TMF API.
- **[ESM\_checkServiceQualification API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_checkservicequalification_api_65091.htm&release=264.0.0&type=5)**  
    Check service qualification for specific locations using TMF API.
- **[ESM\_CreateSubOrderForNonMembers API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_createsuborderfornonmembers_api_65106.htm&release=264.0.0&type=5)**  
    Create a sub-order for line items without any members or groups using ESM CreateOrder API.
- **[ESM\_CreateSubOrdersInBatch API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_createsubordersinbatch_api.htm&release=264.0.0&type=5)**  
    Efficiently create multiple sub-orders in a single call. To prevent hitting governor limits, monitor the number of inputs included in the batch.
- **[ESM\_CustomViewSetup API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_customviewsetup_api_65121.htm&release=264.0.0&type=5)**  
    Store information about the custom views created for the Summary page.
- **[ESM\_DelinkRelatedItemFromCart API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_delinkrelateditemfromcart_api_65151.htm&release=264.0.0&type=5)**  
    Delink a related quote item (product) from another item of the same quote (from QuoteLineItemRelationship Sobject).
- **[ESM\_EvaluateFormula API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_evaluateformula_api_65166.htm&release=264.0.0&type=5)**  
    Evaluate an expression.
- **[ESM\_getCartItemsByView API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_getcartitemsbyview_api_65181.htm&release=264.0.0&type=5)**  
    Retrieve quote line items for a given Quote ID as per the option selected in the **Displaying** list.
- **[ESM\_getRelatedProducts API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_getrelatedproducts_api_65197.htm&release=264.0.0&type=5)**  
    Fetches the related Products QLI from a quote for a particular product relationship.
- **[ESM\_LinkProducts API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_linkproducts_api_65212.htm&release=264.0.0&type=5)**  
    Saves QLI product relationship.
- **[ESM\_SearchOrCreateServiceAccount API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_searchorcreateserviceaccount_api.htm&release=264.0.0&type=5)**  
    Search for an existing service account or create a new service account if it doesn’t exist.
- **[ESM\_UpdateQuoteLineItems API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_updatequotelineitems_api_65227.htm&release=264.0.0&type=5)**  
    Update a quote line item and its related child items with the given set of fields and values.
- **[ESM\_validateRecords API](https://help.salesforce.com/s/articleView?id=ind.comms_t_esm_validaterecords_api_65242.htm&release=264.0.0&type=5)**  
    Validate quote line items.
- **[getAll\_members API](https://help.salesforce.com/s/articleView?id=ind.comms_t_getall_members_api_65258.htm&release=264.0.0&type=5)**  
    Get all quote members for a given quote ID.
- **[getAll\_QuoteGroup API](https://help.salesforce.com/s/articleView?id=ind.comms_t_getall_quotegroup_api_65273.htm&release=264.0.0&type=5)**  
    Get all custom quote groups for a sales quote.
- **[getDiscountedQLICount API](https://help.salesforce.com/s/articleView?id=ind.comms_t_getdiscountedqlicount_api.htm&release=264.0.0&type=5)**  
    Get the count of quote line items for a specific QuoteAppliedPromotionItem.
- **[getMACDPriceDelta API](https://help.salesforce.com/s/articleView?id=ind.comms_t_getmacdpricedelta_api.htm&release=264.0.0&type=5)**  
    Get the difference in the recurring price before and after the MACD operation.
- **[member\_upload API](https://help.salesforce.com/s/articleView?id=ind.comms_t_member_upload_api_65289.htm&release=264.0.0&type=5)**  
    Upload a CSV file with new subscribers or locations.
- **[QMgetFields\_WFieldLabel API](https://help.salesforce.com/s/articleView?id=ind.comms_t_qmgetfields_wfieldlabel_api_65308.htm&release=264.0.0&type=5)**  
    Get the field set with fields and labels for the quote members.
- **[Remove\_QuoteGroup API](https://help.salesforce.com/s/articleView?id=ind.comms_t_remove_quotegroup_api_65324.htm&release=264.0.0&type=5)**  
    Remove the quote group from the enterprise quote.
- **[removeQM\_FromQuoteGroup API](https://help.salesforce.com/s/articleView?id=ind.comms_t_removeqm_fromquotegroup_api_65340.htm&release=264.0.0&type=5)**  
    Remove a quote member record from the quote group.
- **[UpdateCloneModify\_SalesQLIsWQPR API](https://help.salesforce.com/s/articleView?id=ind.comms_t_updateclonemodify_salesqliswqpr_api_65356.htm&release=264.0.0&type=5)**  
    Updates, clones, or modifies the quote line items for a given cart ID, group ID, quote member ID, or quote ID.
- **[update\_QGroupName API](https://help.salesforce.com/s/articleView?id=ind.comms_t_update_qgroupname_api_65372.htm&release=264.0.0&type=5)**  
    Update the name of the quote group.